Subject: Onyx a CopyLefted SQL/4GL/TM
From: [email-masked] (Michael Kraehe)
Date: 18 Jan 1994 22:22:31 +0200
Newsgroups: comp.os.linux.announce

Hy Folks,

	"Onyx a CopyLefted SQL,4GL,TransactionManager for Linux"

	was posted in alt.sources on Xmas, so it should be ftpable
	from the main archive sites in the net.

	Features :

	   -	The 4gl is a easy way to define the model, view
		and controllers of a database application.

		Unlike other 4gl's it doesnt hide the system from
		the application, but is based on features of Yr
		Linux, mainly the posibility to pipe a subset
		of a relation to a pipe, or insert tuples from a pipe.

	   -	The TransactionManager allows Y to connect Yr Linux
	   	site to any database engine anywhere in the net.

	   	If the database is able to do SQL jobs it's fine
	   	if not the SQL-Statements are parsed by a OO parser,
	   	so it is posible access GAWK and Ingres89 by SQL.

	   	The protcol should become fixed as a RFC called
	   	SDTP (Simple Database Transaction Protocol)

	   	Other client languages (eg. Emacs, TCL, Perl,
	   	Smalltalk/X) are under development.

	   -	Supported Engines are now SHQL, GAWK, Ingres89
	   	under Linux, and Informix on other Servers.

	   	Other Engines (SQL/400, Postgres, Obst) are under
	   	development.

	   	If Y like to port SDTP to any other Engine Y are
	   	invited to do so, and I grand Y my support and help.

	Compilation problem's in some versions (2.1 - 2.24) :

		Unfortunately I dont have IP access, so I'm unable
		to upload Onyx to a ftpserver.

		So there are differnt version of Onyx available,
		some are in uploaded from friends who have FTP acces,
		some are in the alt.sources archive, and of course
		they have different problems. 

		Onyx is still beta, and If Y like to do real work
		with this programs Y probately need to contact me
		by mail !

		So it doesnt matter if Y ftp an older version.
		Take it just for looking what the program does,
		and contact me if Y have problems or want a actual
		version.

	   -	Some people metioned that they are missing include
		files. But this is not difficult to solve. Any
		.ppg file (the parser grammer) will be produce
		a .C, a .h and a .man file. And if a .C file exists
		GNU-make doesnt know that it should reparse the .ppg
		file for producing the .h and .man files. So just
		delete the .C file and restart make solves this problem.

	   -	Some people mentioned that there are problems with
	   	some GCC versions how arent able to work with two
	   	methods inside the same class with the same name
	   	but different parameters.

	   	I can check this because I've sold a bigger installation
	   	half a year ago, and arent able to upgrade my 99p9
	   	to the actual one, because of the need of supporting
	   	my customer :-(

	   -	If Y have a message like

	   		 include/tw_types.h: "extern class View"

	   	just delete this line.

	   -	If Y have a message like

	   		> frames.C: In method `void ViewCursor::event(int, int, int))':
	   		> frames.C:329: too few arguments for method `expose'
	   		> frames.C:336: too few arguments for method `expose'

	   	Y are fucked because a bug in GCC > 2.5.?

	   	expose is defined with and without arguments and compilation
	   	work fine with my gcc233. I 'll visit a friend who has
	   	a actual linux when I have time to do and build a workarount
	   	for this bug :-(

	   -	I also have a old Sparc1 and Onyx is of course there.
	   	So there should be no endian related problems when
	   	porting it to a non linux system, if that system is
	   	BSD and have GCC and GAWK. Unfortunately my Ingres89
		version (from Zeyd M. Ben-Halim) core dumps on non
		Linux sites, so Y need a real SQL database if Y have
		a lot of (>500) tuples per releation, and  dont like to
		wait so long.

	By Michael.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.